summaryrefslogtreecommitdiffstats
path: root/setup.sh
diff options
context:
space:
mode:
authorLee Thompson <thompson@dtosolutions.com>2012-11-28 01:08:23 -0600
committerLee Thompson <thompson@dtosolutions.com>2012-11-28 01:08:23 -0600
commitddeec45b2ea79fc23277e9ff8d0e70c929ba61a8 (patch)
tree1c7ceac2c9341011dd406923f5e7d0331a830b1b /setup.sh
parent006357f954c72bf4212bbc16e869efbfe9d06eda (diff)
revert back to make invoking flex, fix a few bugs
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/setup.sh b/setup.sh
index 58297f67..bb3c26ce 100755
--- a/setup.sh
+++ b/setup.sh
@@ -2,9 +2,19 @@
# RUN ME after pulling the code from git!
if [ "clean" == "$1" ]; then
- make distclean
+ make distclean || echo "continuing..."
rm -rf tmp autom4te.cache config
- rm -f INSTALL Makefile.in aclocal.m4 configure config.h.in *.gen.c *.gen.h ChangeLog
+ rm -f INSTALL Makefile.in aclocal.m4 configure config.h.in ChangeLog
+ rm -f jv_utf8_tables.gen.h lexer.c lexer.h parser.c parser.h
+elif [ "superclean" == "$1" ]; then
+ ver=$(tr -d '\n' <VERSION)
+ if [ "x${ver}" != "x" ]; then
+ if [ -d jq-${ver} ]; then
+ chmod -R u+w jq-${ver}
+ rm -rf jq-${ver}
+ fi
+ rm -f jq-${ver}.*
+ fi
else
autoreconf --install
./configure --prefix=/opt/junk